 <?php
 session_start();
 
  include("../includes/conect.php");
  include("../includes/timezone.php");
  
  if(isset($_GET['id'])){

  	$idreserva = $_GET['id'];   


    $result = mysqli_query($conexion, 'SELECT * FROM ocupante_reserva where id_tabla = \''.$idreserva.'\' ');
    $row = mysqli_fetch_array($result);
    
    $idarea = $row['idarea'];
    $fecha_in = $row['fecha_in'];
    $hora_in = $row['hora_in'];    
    $consecutivo = $row['consecutivo'];
    $estado = 1;

	// cancelación de reserva
	$query_search = 'UPDATE ocupante_reserva SET estado = 1, cancelado = 1, fecha_out =\''.$fecha_hoy.'\', hora_out =\''.$hora_actual.'\' WHERE idarea =\''.$idarea.'\' and fecha_in =\''.$fecha_in.'\' and hora_in =\''.$hora_in.'\' and consecutivo =\''.$consecutivo.'\' and estado != \''.$estado.'\'';

	    if (!$result = mysqli_query($conexion, $query_search)) {
	        exit(mysqli_error());
	        header("location:../my_booking.php?error=error");
	    }  
        else
        {     
            // registro exitoso
            header("location:../my_booking.php?succ=succ");
        } 

  }else{
  	header("location:../my_booking.php?error=error");
  }

?>